org.apache.ignite.internal.processors.cache.persistence.tree

## Enum BPlusTree.Result

- java.lang.Object
- - java.lang.Enum<BPlusTree.Result>
  - - org.apache.ignite.internal.processors.cache.persistence.tree.BPlusTree.Result

All Implemented Interfaces:
  Serializable, Comparable<BPlusTree.Result>

Enclosing class:
  BPlusTree<L,T extends L>

    public static enum BPlusTree.Result
    extends Enum<BPlusTree.Result>

Operation result.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FOUND`
`GO_DOWN`
`GO_DOWN_X`
`NOT_FOUND`
`RETRY`
`RETRY_ROOT`

### Method Summary

All Methods Static Methods Concrete Methods
`static BPlusTree.Result` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BPlusTree.Result[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GO_DOWN

    public static final BPlusTree.Result GO_DOWN

#### GO_DOWN_X

    public static final BPlusTree.Result GO_DOWN_X

#### FOUND

    public static final BPlusTree.Result FOUND

#### NOT_FOUND

    public static final BPlusTree.Result NOT_FOUND

#### RETRY

    public static final BPlusTree.Result RETRY

#### RETRY_ROOT

    public static final BPlusTree.Result RETRY_ROOT

### Method Detail

#### values

    public static BPlusTree.Result[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BPlusTree.Result c : BPlusTree.Result.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BPlusTree.Result valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019